# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`mollyguard`](#mollyguard): mollyguard main class

### Defined types

* [`mollyguard::checks::ceph`](#mollyguardchecksceph): use this to add ceph check to molly-guard
* [`mollyguard::checks::drbd`](#mollyguardchecksdrbd): use this to add drbd check to molly-guard
* [`mollyguard::checks::libvirt`](#mollyguardcheckslibvirt): use this to add check for running libbvirt domains to molly-guard
* [`mollyguard::checks::repmgr_postgres`](#mollyguardchecksrepmgr_postgres): use this to add repmgr-postgres check to molly-guard

## Classes

### `mollyguard`

mollyguard main class

#### Parameters

The following parameters are available in the `mollyguard` class.

##### `package_ensure`

Data type: `String`

what to ensure for packages, defaults to 'present'

Default value: `'present'`

##### `packages`

Data type: `Array`

Array of packages to install, defaults to ['molly-guard']

Default value: `['molly-guard']`

##### `checks`

Data type: `Hash`

Hash of additional checks to install, defaults to {}

Example (hiera):
  mollyguard::checks:
    libvirt:
      options: '--state-running --state-paused --state-other'
    drbd: {}

Default value: `{}`

##### `check_destination`

Data type: `String`

where to put the additional checks,
defaults to '/etc/molly-guard/run.d'

Default value: `'/etc/molly-guard/run.d'`

##### `purge_checks`

Data type: `Boolean`

if true (default), we purge checks not managed with puppet

Default value: ``true``

##### `ignore_sys_checks`

Data type: `Array`

name of checks to ignore purging, these are the default
checks installed with the package.
defaults to: ['10-print-message', '30-query-hostname']

Default value: `['10-print-message', '30-query-hostname']`

## Defined types

### `mollyguard::checks::ceph`

use this to add ceph check to molly-guard

#### Parameters

The following parameters are available in the `mollyguard::checks::ceph` defined type.

##### `destination`

Data type: `String`

directory where to put the check (mandatory)

##### `check_name`

Data type: `String`

name of the check (defaults to $title)

Default value: `$title`

##### `sort`

Data type: `String`

sort parameter (defaults to '20')

Default value: `'20'`

##### `owner`

Data type: `String`

owner of the check (file), defaults to 'root'

Default value: `'root'`

##### `group`

Data type: `String`

group of the check (file), defaults to 'root'

Default value: `'root'`

##### `mode`

Data type: `String`

mode of the check (file), defaults to '0755'

Default value: `'0755'`

### `mollyguard::checks::drbd`

use this to add drbd check to molly-guard

#### Parameters

The following parameters are available in the `mollyguard::checks::drbd` defined type.

##### `destination`

Data type: `String`

directory where to put the check (mandatory)

##### `check_name`

Data type: `String`

name of the check (defaults to $title)

Default value: `$title`

##### `sort`

Data type: `String`

sort parameter (defaults to '20')

Default value: `'20'`

##### `owner`

Data type: `String`

owner of the check (file), defaults to 'root'

Default value: `'root'`

##### `group`

Data type: `String`

group of the check (file), defaults to 'root'

Default value: `'root'`

##### `mode`

Data type: `String`

mode of the check (file), defaults to '0755'

Default value: `'0755'`

### `mollyguard::checks::libvirt`

use this to add check for running libbvirt domains
to molly-guard

#### Parameters

The following parameters are available in the `mollyguard::checks::libvirt` defined type.

##### `destination`

Data type: `String`

directory where to put the check (mandatory)

##### `check_name`

Data type: `String`

name of the check (defaults to $title)

Default value: `$title`

##### `sort`

Data type: `String`

sort parameter (defaults to '20')

Default value: `'20'`

##### `owner`

Data type: `String`

owner of the check (file), defaults to 'root'

Default value: `'root'`

##### `group`

Data type: `String`

group of the check (file), defaults to 'root'

Default value: `'root'`

##### `mode`

Data type: `String`

mode of the check (file), defaults to '0755'

Default value: `'0755'`

##### `options`

Data type: `String`

options to add to virsh list command
to select listed domains.
defaults to '--all'
set this to '--state-running --state-paused --state-other'
if you do not care about shutdown instances.

Default value: `'--all'`

### `mollyguard::checks::repmgr_postgres`

use this to add repmgr-postgres check to molly-guard

#### Parameters

The following parameters are available in the `mollyguard::checks::repmgr_postgres` defined type.

##### `destination`

Data type: `String`

directory where to put the check (mandatory)

##### `check_name`

Data type: `String`

name of the check (defaults to $title)

Default value: `$title`

##### `sort`

Data type: `String`

sort parameter (defaults to '20')

Default value: `'20'`

##### `owner`

Data type: `String`

owner of the check (file), defaults to 'root'

Default value: `'root'`

##### `group`

Data type: `String`

group of the check (file), defaults to 'root'

Default value: `'root'`

##### `mode`

Data type: `String`

mode of the check (file), defaults to '0755'

Default value: `'0755'`

